Child pages
  • Installing Java
Skip to end of metadata
Go to start of metadata

Installing Java for JAS3 and org.lcsim

The org.lcsim reconstruction and analysis software requires Java J2SE 5.0, which is also known as version 1.5.

If you know that Java 5.0 is properly installed on your current machine, then this section may safely be skipped.

JAS3 and org.lcsim should be installed after Java has already been installed.

Java Installation

Windows and Linux

Download the JDK 1.5 from Sun's Java site and install it.

Java Netbeans Bundle

Another option for setting up Java is the Java JDK 1.5 with Netbeans Bundle, which includes the free IDE Netbeans. Netbeans features code completion, a modular plugin system, and integration with Ant and Maven.

Java on Mac OSX 10.4

After installing http://www.apple.com/support/downloads/java2se50release1.html, it is necessary to do the following to get the correct version of
the java compilier.

cd /System/Library/Frameworks/JavaVM.framework/Versions/ 
sudo mv CurrentJDK CurrentJDK14
sudo ln -s 1.5 CurrentJDK

Checking the Installation

Before installing JAS3, you need to check whether Java is installed on your machine.

On Windows

On Windows, go to Start -> Control Panel -> Add or Remove Programs.

If you do not see something similar to the following, then Java needs to be installed.

On Linux

Open up a shell.

Check that the Java compiler version is correct by typing the following into the prompt.

javac -version

The first line of output should look like this. (The rest of the printout was removed.)

javac 1.5.0
  • No labels